org.bdgenomics.adam.models

# PositionOrdering

#### object PositionOrdering extends ReferenceOrdering[ReferencePosition]

A sort order that orders all positions lexicographically by contig and numerically within a single contig.

Linear Supertypes
ReferenceOrdering[ReferencePosition], Ordering[ReferencePosition], PartialOrdering[ReferencePosition], Equiv[ReferencePosition], Serializable, Serializable, Comparator[ReferencePosition], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PositionOrdering
2. ReferenceOrdering
3. Ordering
4. PartialOrdering
5. Equiv
6. Serializable
7. Serializable
8. Comparator
9. AnyRef
10. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class Ops extends AnyRef

   Definition Classes
     Ordering

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def compare(a: ReferencePosition, b: ReferencePosition): Int

   Definition Classes
     ReferenceOrdering → Ordering → Comparator

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def equiv(x: ReferencePosition, y: ReferencePosition): Boolean

    Definition Classes
      Ordering → PartialOrdering → Equiv

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def gt(x: ReferencePosition, y: ReferencePosition): Boolean

    Definition Classes
      Ordering → PartialOrdering

15. #### def gteq(x: ReferencePosition, y: ReferencePosition): Boolean

    Definition Classes
      Ordering → PartialOrdering

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### def lt(x: ReferencePosition, y: ReferencePosition): Boolean

    Definition Classes
      Ordering → PartialOrdering

19. #### def lteq(x: ReferencePosition, y: ReferencePosition): Boolean

    Definition Classes
      Ordering → PartialOrdering

20. #### def max(x: ReferencePosition, y: ReferencePosition): ReferencePosition

    Definition Classes
      Ordering

21. #### def min(x: ReferencePosition, y: ReferencePosition): ReferencePosition

    Definition Classes
      Ordering

22. #### implicit def mkOrderingOps(lhs: ReferencePosition): Ops

    Definition Classes
      Ordering

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### def on[U](f: (U) ⇒ ReferencePosition): Ordering[U]

    Definition Classes
      Ordering

27. #### def reverse: Ordering[ReferencePosition]

    Definition Classes
      Ordering → PartialOrdering

28. #### def reversed(): Comparator[ReferencePosition]

    Definition Classes
      Comparator

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def thenComparing[U <: Comparable[_ >: U]](arg0: Function[_ >: ReferencePosition, _ <: U]): Comparator[ReferencePosition]

    Definition Classes
      Comparator

31. #### def thenComparing[U](arg0: Function[_ >: ReferencePosition, _ <: U], arg1: Comparator[_ >: U]): Comparator[ReferencePosition]

    Definition Classes
      Comparator

32. #### def thenComparing(arg0: Comparator[_ >: ReferencePosition]): Comparator[ReferencePosition]

    Definition Classes
      Comparator

33. #### def thenComparingDouble(arg0: ToDoubleFunction[_ >: ReferencePosition]): Comparator[ReferencePosition]

    Definition Classes
      Comparator

34. #### def thenComparingInt(arg0: ToIntFunction[_ >: ReferencePosition]): Comparator[ReferencePosition]

    Definition Classes
      Comparator

35. #### def thenComparingLong(arg0: ToLongFunction[_ >: ReferencePosition]): Comparator[ReferencePosition]

    Definition Classes
      Comparator

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### def tryCompare(x: ReferencePosition, y: ReferencePosition): Some[Int]

    Definition Classes
      Ordering → PartialOrdering

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ReferenceOrdering[ReferencePosition]

### Inherited from Ordering[ReferencePosition]

### Inherited from PartialOrdering[ReferencePosition]

### Inherited from Equiv[ReferencePosition]

### Inherited from Serializable

### Inherited from Comparator[ReferencePosition]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped